#!/bin/bash

DOMAIN_NAME=$1
SHOW=$2

if [[ -z $DOMAIN_NAME ]]; then
	echo "Please provide domain name!"
	exit
fi

EXPIRE=`echo -n | openssl s_client -servername $DOMAIN_NAME -connect $DOMAIN_NAME:443 2>/dev/null | openssl x509 -noout -dates 2>/dev/null | awk -F 'notAfter=' {'print $2'} | tr -d '\n'`
DOMAIN=`echo -n | openssl s_client -servername $DOMAIN_NAME -connect $DOMAIN_NAME:443 2>/dev/null | openssl x509 -noout -subject 2>/dev/null | awk -F '/CN=' {'print $2'}`
ISSUER=`echo -n | openssl s_client -servername $DOMAIN_NAME -connect $DOMAIN_NAME:443 2>/dev/null | openssl x509 -noout -issuer 2>/dev/null | awk -F 'CN=' {'print $2'}`
CERT=`echo -n | openssl s_client -servername $DOMAIN_NAME -connect $DOMAIN_NAME:443 2>/dev/null | openssl x509 2>/dev/null`

RESULT=$?
if [ $RESULT -ne 0 ]; then
	echo -e ""
 	echo -e "Certificate for $DOMAIN_NAME is not registered/installed!"
 	echo -e ""
  exit
fi

# generate output
echo -e ""
echo -e ""
echo -e ""
echo -e "---------------------------------------------------------------------"
echo -e " Details for SSL certificate $DOMAIN_NAME"
echo -e "---------------------------------------------------------------------"
echo -e ""
echo -e "Domain name: $DOMAIN"
echo -e "Expire date: $EXPIRE"
echo -e "Certificate issuer: $ISSUER"
echo -e ""
if [ "$SHOW" == "show" ]; then
        echo -e "Certificate:"
        echo -e ""
        echo -e "$CERT"
fi
echo -e ""
echo -e "---------------------------------------------------------------------"
echo -e ""
echo -e ""
echo -e ""
echo -e ""